import { ref } from "vue";

export default {
  //model
  coverBgImg: "https://jyw-1322946948.cos.ap-guangzhou.myqcloud.com/upload/gjEDA6cmTu5FnMCWzyGSE.png",
  coverImg: ref(''),
  houseDetail: ref<any>({}),
  qrCodeByBase64: ref(""),
  choiceImgShow: ref(false),
  posterStyle: {
    background:
      "url('https://jyw-1322946948.cos.ap-guangzhou.myqcloud.com/upload/jgKWriyfZrPSIBuHrlfNG.png')",
    backgroundSize: "100% 100%",
    marginTop: "30rpx",
    padding: "30rpx",
  },
  houseActualImages: ref<any>([]),
  posterImage: ref<string>(''),
  tabCurrent: ref<number>(0),
  orderInfo: ref<any>({}),
  alipayQrCode: ref<any>({}),
  alipayQrCodeShow: ref<boolean>(false),
  custQrcodeInfo:ref<any>({})
};
